この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
Notes.Create、Notes.ReadWrite、Notes.ReadWrite.All
委任 (個人用 Microsoft アカウント)
Notes.Create、Notes.ReadWrite
アプリケーション
Notes.ReadWrite.All
HTTP 要求
POST /me/onenote/sections/{id}/copyToSectionGroup
POST /users/{id | userPrincipalName}/onenote/sections/{id}/copyToSectionGroup
POST /groups/{id}/onenote/sections/{id}/copyToSectionGroup
要求ヘッダー
名前
種類
説明
Authorization
string
ベアラー {token}。必須。
Content-Type
string
application/json
要求本文
要求本文で、操作に必要なパラメーターを含む JSON オブジェクトを指定します。
パラメーター
種類
説明
groupId
文字列型 (String)
コピーするグループの ID。 グループにコピーする場合にのみMicrosoft 365します。
id
String
必須です。 移動先セクション グループの ID。
renameAs
文字列
コピーするフィルターの名前を指定します。 Defaults to the name of the existing item.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var id = "id-value";
var groupId = "groupId-value";
var renameAs = "renameAs-value";
await graphClient.Me.Onenote.Sections["{onenoteSection-id}"]
.CopyToSectionGroup(id,groupId,renameAs,null,null)
.Request()
.PostAsync();
Import-Module Microsoft.Graph.Users.Actions
$params = @{
Id = "id-value"
GroupId = "groupId-value"
RenameAs = "renameAs-value"
}
# A UPN can also be used as -UserId.
Copy-MgUserOnenoteSectionToSectionGroup -UserId $userId -OnenoteSectionId $onenoteSectionId -BodyParameter $params